{
	"artifacts" : 
	[
		{
			"path" : "eve-chatlog.exe"
		},
		{
			"path" : "eve-chatlog.pdb"
		}
	],
	"backtrace" : 4,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"_qt_internal_create_executable",
			"qt6_add_executable",
			"qt_add_executable",
			"install",
			"target_link_libraries",
			"set_target_properties",
			"include",
			"find_package",
			"find_dependency",
			"_qt_internal_find_qt_dependencies"
		],
		"files" : 
		[
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Core/Qt6CoreMacros.cmake",
			"CMakeLists.txt",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Multimedia/Qt6MultimediaVersionlessTargets.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Multimedia/Qt6MultimediaConfig.cmake",
			"D:/Qt/Tools/CMake_64/share/cmake-3.29/Modules/CMakeFindDependencyMacro.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6/QtPublicDependencyHelpers.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6TextToSpeech/Qt6TextToSpeechDependencies.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6TextToSpeech/Qt6TextToSpeechConfig.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6/Qt6Config.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Gui/Qt6GuiTargets.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Gui/Qt6GuiConfig.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Network/Qt6NetworkVersionlessTargets.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Network/Qt6NetworkConfig.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Multimedia/Qt6MultimediaDependencies.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Core/Qt6CoreTargets.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Core/Qt6CoreConfig.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6EntryPointPrivate/Qt6EntryPointPrivateTargets.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6EntryPointPrivate/Qt6EntryPointPrivateConfig.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Core/Qt6CoreDependencies.cmake",
			"D:/Qt/6.7.3/mingw_64/lib/cmake/Qt6Network/Qt6NetworkTargets.cmake"
		],
		"nodes" : 
		[
			{
				"file" : 1
			},
			{
				"command" : 3,
				"file" : 1,
				"line" : 23,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 875,
				"parent" : 1
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 575,
				"parent" : 2
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 634,
				"parent" : 3
			},
			{
				"command" : 4,
				"file" : 1,
				"line" : 62,
				"parent" : 0
			},
			{
				"command" : 5,
				"file" : 1,
				"line" : 45,
				"parent" : 0
			},
			{
				"command" : 8,
				"file" : 1,
				"line" : 13,
				"parent" : 0
			},
			{
				"file" : 8,
				"parent" : 7
			},
			{
				"command" : 8,
				"file" : 8,
				"line" : 169,
				"parent" : 8
			},
			{
				"file" : 7,
				"parent" : 9
			},
			{
				"command" : 7,
				"file" : 7,
				"line" : 43,
				"parent" : 10
			},
			{
				"file" : 6,
				"parent" : 11
			},
			{
				"command" : 10,
				"file" : 6,
				"line" : 42,
				"parent" : 12
			},
			{
				"command" : 9,
				"file" : 5,
				"line" : 111,
				"parent" : 13
			},
			{
				"command" : 8,
				"file" : 4,
				"line" : 76,
				"parent" : 14
			},
			{
				"file" : 3,
				"parent" : 15
			},
			{
				"command" : 7,
				"file" : 3,
				"line" : 60,
				"parent" : 16
			},
			{
				"file" : 2,
				"parent" : 17
			},
			{
				"command" : 6,
				"file" : 2,
				"line" : 61,
				"parent" : 18
			},
			{
				"command" : 8,
				"file" : 8,
				"line" : 169,
				"parent" : 8
			},
			{
				"file" : 10,
				"parent" : 20
			},
			{
				"command" : 7,
				"file" : 10,
				"line" : 55,
				"parent" : 21
			},
			{
				"file" : 9,
				"parent" : 22
			},
			{
				"command" : 6,
				"file" : 9,
				"line" : 61,
				"parent" : 23
			},
			{
				"command" : 7,
				"file" : 3,
				"line" : 43,
				"parent" : 16
			},
			{
				"file" : 13,
				"parent" : 25
			},
			{
				"command" : 10,
				"file" : 13,
				"line" : 42,
				"parent" : 26
			},
			{
				"command" : 9,
				"file" : 5,
				"line" : 111,
				"parent" : 27
			},
			{
				"command" : 8,
				"file" : 4,
				"line" : 76,
				"parent" : 28
			},
			{
				"file" : 12,
				"parent" : 29
			},
			{
				"command" : 7,
				"file" : 12,
				"line" : 60,
				"parent" : 30
			},
			{
				"file" : 11,
				"parent" : 31
			},
			{
				"command" : 6,
				"file" : 11,
				"line" : 61,
				"parent" : 32
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 576,
				"parent" : 2
			},
			{
				"command" : 8,
				"file" : 8,
				"line" : 169,
				"parent" : 8
			},
			{
				"file" : 15,
				"parent" : 35
			},
			{
				"command" : 7,
				"file" : 15,
				"line" : 57,
				"parent" : 36
			},
			{
				"file" : 14,
				"parent" : 37
			},
			{
				"command" : 6,
				"file" : 14,
				"line" : 61,
				"parent" : 38
			},
			{
				"command" : 7,
				"file" : 15,
				"line" : 45,
				"parent" : 36
			},
			{
				"file" : 18,
				"parent" : 40
			},
			{
				"command" : 10,
				"file" : 18,
				"line" : 42,
				"parent" : 41
			},
			{
				"command" : 9,
				"file" : 5,
				"line" : 111,
				"parent" : 42
			},
			{
				"command" : 8,
				"file" : 4,
				"line" : 76,
				"parent" : 43
			},
			{
				"file" : 17,
				"parent" : 44
			},
			{
				"command" : 7,
				"file" : 17,
				"line" : 55,
				"parent" : 45
			},
			{
				"file" : 16,
				"parent" : 46
			},
			{
				"command" : 6,
				"file" : 16,
				"line" : 61,
				"parent" : 47
			},
			{
				"command" : 6,
				"file" : 16,
				"line" : 76,
				"parent" : 47
			},
			{
				"command" : 7,
				"file" : 12,
				"line" : 55,
				"parent" : 30
			},
			{
				"file" : 19,
				"parent" : 50
			},
			{
				"command" : 6,
				"file" : 19,
				"line" : 61,
				"parent" : 51
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-O3 -DNDEBUG -std=gnu++17 -fdiagnostics-color=always"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 34,
					"define" : "MINGW_HAS_SECURE_API=1"
				},
				{
					"backtrace" : 34,
					"define" : "QT_CORE_LIB"
				},
				{
					"backtrace" : 6,
					"define" : "QT_GUI_LIB"
				},
				{
					"backtrace" : 6,
					"define" : "QT_MULTIMEDIA_LIB"
				},
				{
					"backtrace" : 34,
					"define" : "QT_NEEDS_QMAIN"
				},
				{
					"backtrace" : 6,
					"define" : "QT_NETWORK_LIB"
				},
				{
					"backtrace" : 34,
					"define" : "QT_NO_DEBUG"
				},
				{
					"backtrace" : 6,
					"define" : "QT_TEXTTOSPEECH_LIB"
				},
				{
					"backtrace" : 6,
					"define" : "QT_WIDGETS_LIB"
				},
				{
					"backtrace" : 34,
					"define" : "UNICODE"
				},
				{
					"backtrace" : 34,
					"define" : "WIN32"
				},
				{
					"backtrace" : 34,
					"define" : "WIN64"
				},
				{
					"backtrace" : 34,
					"define" : "_ENABLE_EXTENDED_ALIGNED_STORAGE"
				},
				{
					"backtrace" : 34,
					"define" : "_UNICODE"
				},
				{
					"backtrace" : 34,
					"define" : "_WIN64"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 0,
					"path" : "D:/code.space/eve-chatlog/build/Desktop_Qt_6_7_3_MinGW_64_bit-Release/eve-chatlog_autogen/include"
				},
				{
					"backtrace" : 34,
					"isSystem" : true,
					"path" : "D:/Qt/6.7.3/mingw_64/include/QtCore"
				},
				{
					"backtrace" : 34,
					"isSystem" : true,
					"path" : "D:/Qt/6.7.3/mingw_64/include"
				},
				{
					"backtrace" : 34,
					"isSystem" : true,
					"path" : "D:/Qt/6.7.3/mingw_64/mkspecs/win32-g++"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "D:/Qt/6.7.3/mingw_64/include/QtGui"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "D:/Qt/6.7.3/mingw_64/include/QtWidgets"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "D:/Qt/6.7.3/mingw_64/include/QtTextToSpeech"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "D:/Qt/6.7.3/mingw_64/include/QtMultimedia"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "D:/Qt/6.7.3/mingw_64/include/QtNetwork"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					34,
					34
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2
			]
		}
	],
	"dependencies" : 
	[
		{
			"id" : "eve-chatlog_autogen_timestamp_deps::@6890427a1f51a3e7e1df"
		},
		{
			"backtrace" : 0,
			"id" : "eve-chatlog_autogen::@6890427a1f51a3e7e1df"
		}
	],
	"id" : "eve-chatlog::@6890427a1f51a3e7e1df",
	"install" : 
	{
		"destinations" : 
		[
			{
				"backtrace" : 5,
				"path" : "bin"
			}
		],
		"prefix" : 
		{
			"path" : "C:/Program Files (x86)/eve-chatlog"
		}
	},
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-O3 -DNDEBUG",
				"role" : "flags"
			},
			{
				"fragment" : "-mwindows",
				"role" : "flags"
			},
			{
				"backtrace" : 6,
				"fragment" : "D:\\Qt\\6.7.3\\mingw_64\\lib\\libQt6Widgets.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "D:\\Qt\\6.7.3\\mingw_64\\lib\\libQt6TextToSpeech.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 19,
				"fragment" : "D:\\Qt\\6.7.3\\mingw_64\\lib\\libQt6Multimedia.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "D:\\Qt\\6.7.3\\mingw_64\\lib\\libQt6Gui.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 24,
				"fragment" : "-ld3d11",
				"role" : "libraries"
			},
			{
				"backtrace" : 24,
				"fragment" : "-ldxgi",
				"role" : "libraries"
			},
			{
				"backtrace" : 24,
				"fragment" : "-ldxguid",
				"role" : "libraries"
			},
			{
				"backtrace" : 24,
				"fragment" : "-ld3d12",
				"role" : "libraries"
			},
			{
				"backtrace" : 33,
				"fragment" : "D:\\Qt\\6.7.3\\mingw_64\\lib\\libQt6Network.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 34,
				"fragment" : "D:\\Qt\\6.7.3\\mingw_64\\lib\\libQt6Core.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 39,
				"fragment" : "-lmpr",
				"role" : "libraries"
			},
			{
				"backtrace" : 39,
				"fragment" : "-luserenv",
				"role" : "libraries"
			},
			{
				"backtrace" : 48,
				"fragment" : "-lmingw32",
				"role" : "libraries"
			},
			{
				"backtrace" : 48,
				"fragment" : "D:\\Qt\\6.7.3\\mingw_64\\lib\\libQt6EntryPoint.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 49,
				"fragment" : "-lshell32",
				"role" : "libraries"
			},
			{
				"backtrace" : 52,
				"fragment" : "-lws2_32",
				"role" : "libraries"
			},
			{
				"fragment" : "-lkernel32 -luser32 -lgdi32 -lwinspool -lshell32 -lole32 -loleaut32 -luuid -lcomdlg32 -ladvapi32",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "eve-chatlog",
	"nameOnDisk" : "eve-chatlog.exe",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				3,
				5
			]
		},
		{
			"name" : "",
			"sourceIndexes" : 
			[
				4,
				6
			]
		},
		{
			"name" : "CMake Rules",
			"sourceIndexes" : 
			[
				7
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_7_3_MinGW_64_bit-Release/eve-chatlog_autogen/mocs_compilation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "mainwindow.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"path" : "mainwindow.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "mainwindow.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_7_3_MinGW_64_bit-Release/eve-chatlog_autogen/include/ui_mainwindow.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_7_3_MinGW_64_bit-Release/eve-chatlog_autogen/timestamp",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Desktop_Qt_6_7_3_MinGW_64_bit-Release/eve-chatlog_autogen/timestamp.rule",
			"sourceGroupIndex" : 3
		}
	],
	"type" : "EXECUTABLE"
}
